package com.usky.system.mapper;


import com.usky.common.mvc.base.CrudMapper;
import com.usky.system.domain.SysOperLogVO;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * 操作日志 数据层
 * 
 * @author yq
 */
@Repository
public interface SysOperLogMapper extends CrudMapper<SysOperLogVO>
{
    /**
     * 新增操作日志
     * 
     * @param operLog 操作日志对象
     */
    public void insertOperlog(SysOperLogVO operLog);

    /**
     * 查询系统操作日志集合
     * 
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLogVO> selectOperLogList(SysOperLogVO operLog);

    /**
     * 批量删除系统操作日志
     * 
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     * 
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLogVO selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();
}
